﻿using System;
using System.Windows;
using System.Windows.Media;

namespace HistoryWallEditTool.EventArg
{
    public class ColorEventArgs : EventArgs
    {
        #region Class Members

        private Point selectPoint;
        private Color selectedColor;

        #endregion

        #region Properties

        public Point SelectPoint
        {
            get { return selectPoint; }
            set { selectPoint = value; }
        }

        public Color SelectedColor
        {
            get { return selectedColor; }
            set { selectedColor = value; }
        }

        #endregion

        #region Constructor

        public ColorEventArgs(Color color, Point point)
        {
            SelectedColor = color;
            SelectPoint = point;
        }

        #endregion
    }
}
